Static Code Analysis Vulnerabilities
List all Static Code Analysis Vulnerabilities
List StaticAnalysisCodeVulnerabilityConnectors resources for the given application.
** Headers **
Authorization: Bearer <access_token>
** Scopes **
connectors.self:read-resource
GET
List all Static Code Analysis Vulnerabilities
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Vanta generated identifier for the given resource, and can be found on the developer console page. See the list of registered resources and their IDs on https://app.vanta.com/settings/developer-console/<app_id>?tab=resources
Response
200 - application/json
List of resources.
Previous
Sync all Static Code Analysis VulnerabilitiesTo send us data related to static code analysis vulnerabilities. Note that you must first sync `VulnerableComponent` resources before sending us this data, and this sync should reference the `uniqueId` field in the `VulnerableComponent` resource.
This call replaces ALL existing `StaticAnalysisCodeVulnerabilityConnectors` resources for the given app and `source_id` - this is a "state of the world" sync. In other words, if a `StaticAnalysisCodeVulnerabilityConnectors` resource is sent for a user in a previous `sync_all` call, but is not included in a later `sync_all` call for that customer, it is assumed to no longer exist and is deleted in Vanta.
** Headers **
```
Authorization: Bearer <access_token>
```
** Scopes **
```
connectors.self:write-resource
```
** Schema **
Expand the `resources` array below for the schema of `StaticAnalysisCodeVulnerabilityConnectors`.
Next
List all Static Code Analysis Vulnerabilities